curl --request POST \
--url https://api.rendi.dev/v1/files/{file_id}/complete-upload \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"parts": [
{
"part_number": 1,
"etag": "\"7d865e959b2466918c9863afca942d0f\""
}
]
}
'import requests
url = "https://api.rendi.dev/v1/files/{file_id}/complete-upload"
payload = { "parts": [
{
"part_number": 1,
"etag": "\"7d865e959b2466918c9863afca942d0f\""
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({parts: [{part_number: 1, etag: '"7d865e959b2466918c9863afca942d0f"'}]})
};
fetch('https://api.rendi.dev/v1/files/{file_id}/complete-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rendi.dev/v1/files/{file_id}/complete-upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parts' => [
[
'part_number' => 1,
'etag' => '"7d865e959b2466918c9863afca942d0f"'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rendi.dev/v1/files/{file_id}/complete-upload"
payload := strings.NewReader("{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rendi.dev/v1/files/{file_id}/complete-upload")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rendi.dev/v1/files/{file_id}/complete-upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bitrate_audio_kb": 128,
"bitrate_video_kb": 4000,
"codec": "h264",
"duration": 30,
"environment_name": "main",
"file_format": "mp4",
"file_id": "987fcdeb-a89b-43d3-b456-789012345678",
"file_type": "video",
"frame_rate": 30,
"height": 1080,
"is_deleted": false,
"is_varying_frame_rate": false,
"mime_type": "video/mp4",
"original_file_url": "https://storage.rendi.dev/sample/big_buck_bunny_720p_5sec_intro.mp4",
"pixel_format": "yuv420p",
"rendi_store_type": "STORED_FILE",
"size_mbytes": 2.27,
"status": "STORED",
"storage_url": "https://storage.rendi.dev/files/224ea098-5c10-419b-8a77-707d89443c56/987fcdeb-a89b-43d3-b456-789012345678/output.mp4",
"timebase": "1/25",
"video_profile_level": "main",
"width": 1920
}{
"detail": "Invalid authorization key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Complete a Multipart Upload
Finalize a direct upload started via POST /v1/files/init-upload. The file then goes through FFprobe for media metadata; status changes as UPLOADED and becomes STORED when analysis completes. See the direct upload guide for the full flow.
curl --request POST \
--url https://api.rendi.dev/v1/files/{file_id}/complete-upload \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"parts": [
{
"part_number": 1,
"etag": "\"7d865e959b2466918c9863afca942d0f\""
}
]
}
'import requests
url = "https://api.rendi.dev/v1/files/{file_id}/complete-upload"
payload = { "parts": [
{
"part_number": 1,
"etag": "\"7d865e959b2466918c9863afca942d0f\""
}
] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({parts: [{part_number: 1, etag: '"7d865e959b2466918c9863afca942d0f"'}]})
};
fetch('https://api.rendi.dev/v1/files/{file_id}/complete-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rendi.dev/v1/files/{file_id}/complete-upload",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parts' => [
[
'part_number' => 1,
'etag' => '"7d865e959b2466918c9863afca942d0f"'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rendi.dev/v1/files/{file_id}/complete-upload"
payload := strings.NewReader("{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rendi.dev/v1/files/{file_id}/complete-upload")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rendi.dev/v1/files/{file_id}/complete-upload")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parts\": [\n {\n \"part_number\": 1,\n \"etag\": \"\\\"7d865e959b2466918c9863afca942d0f\\\"\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bitrate_audio_kb": 128,
"bitrate_video_kb": 4000,
"codec": "h264",
"duration": 30,
"environment_name": "main",
"file_format": "mp4",
"file_id": "987fcdeb-a89b-43d3-b456-789012345678",
"file_type": "video",
"frame_rate": 30,
"height": 1080,
"is_deleted": false,
"is_varying_frame_rate": false,
"mime_type": "video/mp4",
"original_file_url": "https://storage.rendi.dev/sample/big_buck_bunny_720p_5sec_intro.mp4",
"pixel_format": "yuv420p",
"rendi_store_type": "STORED_FILE",
"size_mbytes": 2.27,
"status": "STORED",
"storage_url": "https://storage.rendi.dev/files/224ea098-5c10-419b-8a77-707d89443c56/987fcdeb-a89b-43d3-b456-789012345678/output.mp4",
"timebase": "1/25",
"video_profile_level": "main",
"width": 1920
}{
"detail": "Invalid authorization key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}status: UPLOADED immediately; poll GET /v1/files/{file_id} — status becomes STORED when analysis completes and metadata (duration, dimensions, codec, mime type, bitrate, etc.) is populated.Body
Response
Upload completed; file is being ffrpobed
Represents a file stored by rendi. Could either be an uploaded file or a file generated by running a command.
This model contains metadata about files stored in rendi storage, including file details, media information, and storage location.
Whether the file is stored privately. Private files are accessible via their storage_url only if you request a presigned URL by passing presigned_ttl_seconds on GET /v1/files/{file_id} (for a single file) or GET /v1/commands/{command_id} (for a command's output files) to receive a time-limited downloadable URL. Not available on free plans.
false
Was this page helpful?